Eclipse 3.2.0 で、クラス名と同じパッケージ名を作るとエラーになる

スポンサーリンク

Eclipse 3.2.0 上で、Hudsonのプラグインを作っていて、下記のようなエラーが出て最初なんのこと言われているのかわかりませんでした。

型 HelloWorldBuilder はパッケージと一致しません。

パッケージ名がおかしいようにも見えないし、なんなんだろうなぁといろいろやっていたら、どうやら、クラス名と同じパッケージ名があるとエラーになるみたいです。


もしかしたら、自分のEclipseの設定(コンパイラのところ)かと思ってみたのですが、そんなようなチェック内容は見当たりませんでした。
別のEclipseで試してみようと思います。
Eclipse 3.3.2 だと警告でした。良い機会なので、Eclipse 3.2.0 から移行するか…